Bug 994468 - tolua++ segfaults on arm when building conky
tolua++ segfaults on arm when building conky
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tolua++ (Show other bugs)
20
arm Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker 992086
  Show dependency treegraph
 
Reported: 2013-08-07 06:59 EDT by Miroslav Lichvar
Modified: 2014-01-08 04:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 04:21:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2013-08-07 06:59:17 EDT
Description of problem:
When building the conky package on arm, tolua++ segfaults in this command
tolua++ -n imlib2 -o libimlib2.c ./imlib2.pkg

http://kojipkgs.fedoraproject.org//work/tasks/4100/5704100/build.log

I'm not sure if this is a tolua++ bug, a lua bug or something else.

Version-Release number of selected component (if applicable):
tolua++.armv7hl 0:1.0.93-6.fc19
lua.armv7hl 0:5.2.2-1.fc20
Comment 1 Fedora End Of Life 2013-09-16 12:26:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Miroslav Lichvar 2014-01-08 04:21:58 EST
It seems this was fixed in 1.0.93-10 by "use pre-generated toluabind.c".

Note You need to log in before you can comment on or make changes to this bug.